# Configuration for the OpenDaylight MechanismDriver

[ml2_odl]
# (StrOpt) OpenDaylight REST URL
# If this is not set then no HTTP requests will be made.
#
# url =
# Example: url = http://192.168.56.1:8080/controller/nb/v2/neutron

# (StrOpt) Username for HTTP basic authentication to ODL.
#
# username =
# Example: username = admin

# (StrOpt) Password for HTTP basic authentication to ODL.
#
# password =
# Example: password = admin

# (IntOpt) Timeout in seconds to wait for ODL HTTP request completion.
# This is an optional parameter, default value is 10 seconds.
#
# timeout = 10
# Example: timeout = 15

# (IntOpt) Timeout in minutes to wait for a Tomcat session timeout.
# This is an optional parameter, default value is 30 minutes.
#
# session_timeout = 30
# Example: session_timeout = 60

# (IntOpt) Timeout in seconds for the V2 driver thread to fire off
# another thread run through the journal database.
#
# sync_timeout = 10
# Example: sync_timeout = 10

# (IntOpt) Number of times to retry a journal transaction before
# marking it 'failed'.
#
# retry_count = 5
# Example: retry_count = 5

# (IntOpt) (V2 driver) Journal maintenance operations interval in seconds.
#
# maintenance_interval = 300
# Example: maintenance_interval = 30

# (IntOpt) (V2 driver) Time to keep completed rows in seconds.
# Completed rows retention will be checked every maintenance_interval by the
# cleanup thread.
# To disable completed rows deletion value should be -1
#
# completed_rows_retention = 600
# Example: completed_rows_retention = 30

# (IntOpt) (V2 driver) Timeout in seconds to wait before marking a processing
# row back to pending state.
#
# processing_timeout = 100
# Example: maintenance_interval = 200
